Results 1 to 6 of 6

Thread: APT Package

  1. #1
    Join Date
    Sep 2012
    Beans
    3

    Question APT Package

    So my apt package broke and I was having issues running it and was unable to reinstall it using synaptic package manager. So I removed it completely planning on reinstalling it manually from source. However I am having issues doing so.

    root@Xavior:~/apt-0.8.16~exp12ubuntu10.3# ./configure
    configure: error: cannot run /bin/bash buildlib/config.sub
    root@Xavior:~/apt-0.8.16~exp12ubuntu10.3# make
    make: autoconf: Command not found
    make: *** [configure] Error 127
    root@Xavior:~/apt-0.8.16~exp12ubuntu10.3# make install
    make: *** No rule to make target `install'. Stop.
    root@Xavior:~/apt-0.8.16~exp12ubuntu10.3#

    any ideas?

  2. #2
    Join Date
    Apr 2012
    Location
    Lavender Town
    Beans
    55
    Distro
    Xubuntu 10.04 Lucid Lynx

    Re: APT Package

    You only "make" when you are compiling source. You can't do it with a package, you have to use a package manager or open a downloaded package in one.

  3. #3
    Join Date
    Nov 2004
    Location
    Maine
    Beans
    1,263
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: APT Package

    why not download it from here and install it with dpkg -i
    http://packages.ubuntu.com/search?keywords=apt
    Dave
    Registered Linux User #462608
    ubuntu 14.04 LTS ; xubuntu 14.04 LTS

  4. #4
    Join Date
    Sep 2012
    Beans
    3

    Re: APT Package

    I did what you said and got the following

    matthew@Xavior:~$ sudo dpkg -i apt_0.8.16~exp12ubuntu10.2_amd64.deb
    (Reading database ... 392009 files and directories currently installed.)
    Preparing to replace apt 0.8.16~exp12ubuntu10.2 (using apt_0.8.16~exp12ubuntu10.2_amd64.deb) ...
    Unpacking replacement apt ...
    dpkg: dependency problems prevent configuration of apt:
    apt depends on libapt-pkg4.12 (>= 0.8.16~exp12ubuntu10.2); however:
    Package libapt-pkg4.12 is not installed.
    dpkg: error processing apt (--install):
    dependency problems - leaving unconfigured
    Processing triggers for man-db ...
    Errors were encountered while processing:
    apt

  5. #5
    Join Date
    Sep 2012
    Beans
    3

    Re: APT Package

    I found the right package and now everything works. thanks

  6. #6
    Join Date
    Nov 2004
    Location
    Maine
    Beans
    1,263
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: APT Package

    Quote Originally Posted by mtechman View Post
    I found the right package and now everything works. thanks
    if that solved the problem please mark thread as solved.
    Thanks.
    Good Luck
    Dave
    Registered Linux User #462608
    ubuntu 14.04 LTS ; xubuntu 14.04 LTS

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •